# Event Explorer

## What is Event Explorer?

**Event Explorer** is a feature that lets you check detailed occurrence history of event data sent to Hackle and view filtered history by selecting specific conditions.

You can access **Event Explorer** by clicking the Event Explorer menu on the left side of the Dashboard. Select your desired filtering conditions at the top of the screen—**Query Period**, **Type**, **Property Filter**, **User Identifier**, and **SDK**—then click **Search** to view the list.

![](/files/ebw3HaiKhTjsBRiIYfwu)

{% hint style="info" %}
There is a limit on the history that can be queried.

You can query up to the latest 1,000 records with this feature.
{% endhint %}

## How to Query

When you first enter **Event Explorer**, the detailed contents of events that occurred within the past hour from the time of entry are displayed.

As shown in the image below, select the desired conditions in the settings area at the top of the screen and click the **Search** button to view the filtered history.

![](/files/WZzyP5sk2s5xU1TauM8K)

### 1-1. Select Query Period

![Custom date selection](/files/apNmrtNB1vFNS8bv7Icc)

![Set to Now](/files/7A7JesLOzz0ri81OgbEq)

1. Select query start and end dates
   1. In **Custom**, you can select the start and end dates by year, month, day, hour, and minute, and use the calendar icon for easy selection.
   2. Selecting **Now** sets the period to the time you click \[Set to Now], and updates to the current time each time you click \[Search] on the right. (\*This selection is available for the end period.)
2. The maximum period that can be queried at once is 2 weeks.

### 1-2. Live Query

![](/files/Iy27lg14bTSusrTdfKzZ)

Click the Live button to view events being collected in real time.

### 2. Select Type

![](/files/GceycwTegSZuIOFtJ8ed)

* Select Event
  * Search for an event to select only the events whose occurrence history you want to view.
* Select A/B Test
  * A/B Test: You can select from all A/B Tests created in that workspace.
  * Variation: You can select the group (Group A, Group B, etc.) of the selected A/B Test.
  * Distribution reason: You can select the reason why the user was distributed to this group in the A/B Test.
* Select Feature Flag
  * Feature Flag: You can select a specific Feature Flag from the list of created Feature Flags.
  * Distribution traffic: You can select the distributed True or False values.
  * Distribution reason: You can select the distribution reason, such as Individual Targeting or Traffic Allocation.

### 3. Select Property Filter

![](/files/tiuuXfisl93JRhaYoDcp)

* Property and value: You can select the property and its value to filter by.
* Operator: You can use operators such as equal (=), not equal (≠), exists, does not exist, etc. to select the desired information.

### 4. Select User Identifier

![](/files/5R4r4ywm0pQyrsjaw1aY)

* Identifier type: You can select the desired type from $id, $deviceId, $userId, $hackleId (Hackle ID), etc. for querying.
* Identifier value: Enter the identifier value of the user you want to query in the search field.

### 5. Select SDK

* You can select the type and version of the SDK you want to view.

## Information Provided by Event Explorer

As described above, select various configuration conditions and click the **Search** button to view detailed information about the filtered records as a list.

In **`Edit Columns`**, you can manage which items to display in a customized way.

![](/files/bdiePZBXtChqcNskJLUk)

### Basic Information

As **default information**, you can view the event occurrence time, user identifier ID, event type, details, SDK, and value.

Clicking the **Edit Columns** button lets you edit the visibility of columns at the top of the results table via checkboxes.

### Detailed Information

Clicking the **Time** button lets you view the detailed information of that record as shown in the image below.

* In the popup, you can check the record's **Custom Properties** and **Hackle Properties** separately.

![](/files/ch6EEUyL7ztDOHd28174)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hackle.io/en/event-view/event-explorer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
